| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# csutil/csevent.h File Reference

Implementation for iEvent. More...

`#include "csextern.h"`
`#include "csutil/hash.h"`
`#include "csutil/strset.h"`
`#include "csutil/scf_implementation.h"`
`#include "csutil/weakref.h"`
`#include "iutil/event.h"`
`#include "hashr.h"`
`#include "csendian.h"`
`#include "cseventq.h"`
`#include "eventnames.h"`

Go to the source code of this file.

## Classes
class | csEvent
| This class represents a system event. More...
class | csEventAttributeIterator
class | csPoolEvent
| This class is a system event designed for the pool system. More...
## Defines
#define | CS_CSEVENT_ADDINT(type)
| Add a named parameter and typed value.
#define | CS_CSEVENT_ADDUINT(type)
#define | CS_CSEVENT_FINDINT(T)
| Find a named event for a given type.
#define | CS_CSEVENT_FINDUINT(T)

## Detailed Description

Implementation for iEvent.

Definition in file csevent.h.

## Define Documentation

#define CS_CSEVENT_ADDINT | ( | type |  | ) |

Value:

    virtual bool Add (const char* name, type value)         \
      { return InternalAddInt (name, value); }

Add a named parameter and typed value.

Definition at line 211 of file csevent.h.

#define CS_CSEVENT_FINDINT | ( | T |  | ) |

Value:

    virtual csEventError Retrieve (const char* name, T& value) const        \
      { return InternalRetrieveInt (name, value); }

Find a named event for a given type.

Definition at line 236 of file csevent.h.